<?php
error_reporting(-1);
header('Content-Type: text/html; charset=utf-8');
define('TIMEZONE', 'Europe/Moscow');
date_default_timezone_set(TIMEZONE);

$mainInfo = [];



function sortFunction( $a, $b ) {
	$date1 = strtotime(mb_substr($a['qvx']['activated'], 0, 10));
	$date2 = strtotime(mb_substr($b['qvx']['activated'], 0, 10));

	// if ($a['qvx']['status'] == 'BLOCKED') {
	// 	return 1;
	// }
	// if($date1 == $date2) {
	// 	$time1 = strtotime(mb_substr($a['qvx']['activated'], 11, 8));
	// 	$time2 = strtotime(mb_substr($b['qvx']['activated'], 11, 8));
	// 	if ($time1 < $time2) {
	// 		if ($b['qvx']['status'] == 'BLOCKED') {
	// 			return -1;
	// 		}
	// 		return 1;
	// 	} else {
	// 		return -1;
	// 	}
	// }

	$time1 = strtotime(mb_substr($a['qvx']['activated'], 11, 8));
	$time2 = strtotime(mb_substr($b['qvx']['activated'], 11, 8));
	if ($date1 == $date2) {
		if ($time1 < $time2) {
			return 1;
		} else {
			return -1;
		}
	} else {
		if ($date1 < $date2) {
			return 1;
		} else {
			return -1;
		}
	}
    //return $date2 - $date1;
}


function getSpendStat($nextTxnId, $nextTxnDate, $date) {
	$startDate = '';
	if ($date == 'today') {
		$startDate = date("Y-m-d");
	}
	if ($date == 'yesterday') {
		$startDate = new DateTime('-1 day');
		$startDate = $startDate->format("Y-m-d");
	}



	$curl = curl_init();
	$url = 'https://edge.qiwi.com/payment-history/v2/persons/' . $_GET['phone'] . '/payments?rows=50&sources[0]=QW_RUB&startDate=' . $startDate . 'T00%3A00%3A00%2B03%3A00&endDate=' . $startDate . 'T23%3A59%3A59%2B03%3A00';

	if (!is_null($nextTxnId)) {
		$url = $url . '&nextTxnId=' . $nextTxnId . '&nextTxnDate=' . $nextTxnDate;
	}

	curl_setopt_array($curl, array(
	  CURLOPT_URL => $url,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'GET',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	  ),
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);

	curl_close($curl);

	return $jsresponse;
}

// Получает расходы за сегодня/вчера
function showFullSum($date) {
	$spendStat = getSpendStat(null, null, $date);
	$sum = 0;

	do {
		foreach ($spendStat['data'] as $transaction) {
			if ($transaction['status'] != 'ERROR' && $transaction['type'] == 'OUT') {
				//echo 'Сумма платежа: ' . $transaction['sum']['amount'] . ' Статус: ' . $transaction['status'] . ' Тип платежа: ' . $transaction['type'] .  '<br>';
				$sum += $transaction['sum']['amount'];
			}
		}
		$spendStat = getSpendStat($spendStat['nextTxnId'], $spendStat['nextTxnDate'], $date);
	} while (!is_null($spendStat['nextTxnId']));

	//echo "Общая сумма: " . $sum;
	return $sum . ' руб.';
}


function getBalance() {
	$curl = curl_init();
	$url = 'https://edge.qiwi.com/funding-sources/v2/persons/' . $_GET['phone'] . '/accounts';

	curl_setopt_array($curl, array(
	  CURLOPT_URL => $url,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'GET',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	  ),
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);

	curl_close($curl);

	return $jsresponse['accounts'][0]['balance']['amount'] . ' руб.';
}

function changeCardName($cardId, $newName) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v1/cards/' . $cardId . '/alias',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'PUT',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	"alias": "' . $newName . '"
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}


function blockCard($cardId) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v2/persons/' . $_GET['phone'] . '/cards/' . $cardId . '/block',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'PUT',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return curl_getinfo($curl, CURLINFO_HTTP_CODE);
	//return $jsresponse;
}

function unblockCard($cardId) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v2/persons/' . $_GET['phone'] . '/cards/' . $cardId . '/unblock',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'PUT',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}


function getCardDetails($cardId) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v1/cards/' . $cardId . '/details',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'PUT',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	"operationId": "23255147-a036-4c17-b56d-6916a"
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}

function getCheckedCard($cardList) {
	$cardsFromFile = file_get_contents("/cardsinfo.txt");
	$cardsFromFile_arr = explode(PHP_EOL, $cardsFromFile);
	$cardsFromFile_arr_exploded = [];
	foreach ($cardsFromFile_arr as $card) {
		$card = explode(':', $card);
		// 0 - card id
		// 1 - card pan
		// 2 - card cvc
		// 3 - card valid
		// 4 - status
		$cardsFromFile_arr_exploded[$card[0]] = [
			'pan' => $card[1],
			'cvc' => $card[2],
			'valid' => $card[3],
			'status' => $card[4],
		];
	}


	// $uncheckedCards = [];
	// foreach ($cardList as $card) {
	// 	if ($card['qvx']['status'] == 'ACTIVE') {
	// 		if ($cardsFromFile_arr_exploded[$card['qvx']['id']]) {
	// 			$uncheckedCards[] = $card;
	// 		}
	// 	}
	// }
	return $cardsFromFile_arr_exploded;
}

function getCardFullInfo($cardList) {
	$checkedCards = getCheckedCard($cardList);

	foreach ($cardList as $card => &$value) {
		if ($value['qvx']['status'] == 'ACTIVE') {
			if ($checkedCards[$value['qvx']['id']]) {
				$value['qvx']['pan'] = $checkedCards[$value['qvx']['id']]['pan'];
				$value['qvx']['cvv'] = $checkedCards[$value['qvx']['id']]['cvc'];
				$value['qvx']['valid'] = $checkedCards[$value['qvx']['id']]['valid'];
				$value['qvx']['status'] = $checkedCards[$value['qvx']['id']]['status'];
			} else {
				$cardInfo = getCardDetails($value['qvx']['id']);
				$value['qvx']['pan'] = $cardInfo['pan'];
				$value['qvx']['cvv'] = $cardInfo['cvv'];
				if($cardInfo['pan']) {
					file_put_contents('/cardsinfo.txt', $value['qvx']['id'] . ':' . $value['qvx']['pan'] . ':' . $value['qvx']['cvv'] . ':' . $value['qvx']['cardExpireMonth'] . '/' . $value['qvx']['cardExpireYear'] . ':' . $value['qvx']['status'] . PHP_EOL, FILE_APPEND);
				}
			}
		}
	}

	return $cardList;
}

function getCardsFromFile() {
	$cardsFromFile = file_get_contents("/cardsinfo.txt");
	$cardsFromFile_arr = explode(PHP_EOL, $cardsFromFile);
	$cardsFromFile_arr_exploded = [];
	foreach ($cardsFromFile_arr as $card) {
		$card = explode(':', $card);
		// 0 - card id
		// 1 - card pan
		// 2 - card cvv
		// 3 - card valid
		// 4 - status
		$cardsFromFile_arr_exploded[] = [
			'qvx' => [
				'id' => $card[0],
				'pan' => $card[1],
				'cvv' => $card[2],
				'cardExpireMonth' => $card[3],
				'status' => $card[4],
			]
		];
	}

	return $cardsFromFile_arr_exploded;
}

function getListOfCard() {

	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v1/cards?vas-alias=qvc-master',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'GET',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	  ),
	));

	$response = curl_exec($curl);

	$jsresponse = json_decode($response, true);

	curl_close($curl);

	if (stripos($response, 'request.blocked')) {
		$message_error = 'QIWI API Не отвечает! Подгружаем сохраненную инфу';
		echo '<div class="alert alert-danger" role="alert">' . $message_error . '</div>';
		$cards = getCardsFromFile();
		return $cards;
	}

	// $cardlist = [];
	// foreach ($jsresponse as $item) {
	// 	$cardlist[] = [
	// 		'qvx' => $item['qvx'],
	// 		'info' => $item['info'],
	// 	];
	// }

	//echo json_encode($cardlist);
	return $jsresponse;
}

function getCardCount($cardList) {
	$count = 0;
	foreach ($cardList as $card) {
		if ($card['qvx']['status'] == 'ACTIVE') {
			$count++;
		}
	}

	return $count;
}

function createOrder($cardAlias) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v2/persons/' . $_GET['phone'] . '/orders',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'POST',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	"cardAlias": "' . $cardAlias . '"
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}

function confirmOrder($orderid) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/cards/v2/persons/' . $_GET['phone'] . '/orders/' . $orderid . '/submit',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'PUT',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}

function buyCard($orderid, $price) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://edge.qiwi.com/sinap/api/v2/terms/32064/payments',
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'POST',
	  CURLOPT_HTTPHEADER => array(
	    'Accept: application/json',
	    'Authorization: Bearer ' . $_GET['apikey'],
	    'Content-Type: application/json',
	  ),
	  CURLOPT_POSTFIELDS => '{
	  	"id": "16008842' . rand(10000, 99999) . '",
	    "sum": {
		    "amount": ' . $price . ',
		    "currency": "643"
	    },
	    "paymentMethod": {
		    "type": "Account",
		    "accountId": "643"
	    },
	    "fields": {
		    "account": "' . $_GET['phone'] . '",
		    "order_id": "' . $orderid . '"
	    }
	  }',
	));

	$response = curl_exec($curl);
	$jsresponse = json_decode($response, true);
	
	return $jsresponse;
}


function getNewCard($cardAlias) {
	$order = createOrder($cardAlias);

	if ($order['status'] == 'DRAFT') {
		$order = confirmOrder($order['id']);
	} else {
		$message_error = $order['status'];
	}

	if ($order['status'] == 'PAYMENT_REQUIRED') {
		$newcard = buyCard($order['id'], $order['price']['amount']);
		return $newcard;
	} else {
		$message_error = $order['status'];
	}
}


if (isset($_POST['changeName'])) {
	$newname = $_POST['newname'];
	$cardid = $_POST['cardid'];
	if (!$cardid) {
		$message_error = 'Вы не выбрали карту!';
	} else {
		if (!$newname) {
			$message_error = 'Укажите новое название!';
		} else {
			$status = changeCardName($cardid, $newname);
			if ($status['status'] == 'OK') {
				$message_good = 'Сменили название на ' . $newname;
			} else {
				$message_error = $status;
			}
		}
	}
}

if (isset($_POST['blockCard'])) {
	$cardid = $_POST['cardid'];

	if (!$cardid) {
		$message_error = 'Вы не выбрали карту!';
	} else {
		$status = blockCard($cardid);
		if ($status == '202') {
			$message_good = 'Карта заблокирована!';

			updateTable($mainInfo);
		} else {
			$message_error = 'Произошла ошибка при блокировке карты!';
		}
	}
}


if (isset($_POST['unblockCard'])) {
	$cardid = $_POST['cardid'];

	if (!$cardid) {
		$message_error = 'Вы не выбрали карту!';
	} else {
		$status = unblockCard($cardid);
		if ($status['status'] == 'OK') {
			$message_good = 'Карта разблокирована!';

			updateTable($mainInfo);
		} else {
			$message_error = 'Произошла ошибка при разблокировке карты!';
		}
	}
}


if (isset($_POST{'getNewCard99'})) {
	$status = getNewCard('qvc-cpa');

	if ($status['transaction']['state']['code'] == 'Accepted') {
		$message_good = 'Карта куплена! Снято ' . $status['sum']['amount'] . ' руб.';
		updateTable($mainInfo);
	} else {
		$message_error = 'Произошла ошибка!';
	}
}

if (isset($_POST{'getNewCard199'})) {
	$status = getNewCard('qvc-cpa-debit');

	if ($status['transaction']['state']['code'] == 'Accepted') {
		$message_good = 'Карта куплена! Снято ' . $status['sum']['amount'] . ' руб.';
		updateTable($mainInfo);
	} else {
		$message_error = 'Произошла ошибка!';
	}
}


function updateTable(&$mainInfo) {
	$cardList = getListOfCard();
	$cardList = getCardFullInfo($cardList);

	usort($cardList, "sortFunction");

	$cardcount = getCardCount($cardList);

	$balance = getBalance();
	$todayspend = showFullSum('today');
	$yesterdayspend = showFullSum('yesterday');

	$mainInfo = [
		'cardList' => $cardList,
		'cardcount' => $cardcount,
		'balance' => $balance,
		'todayspend' => $todayspend,
		'yesterdayspend' => $yesterdayspend,
	];
}

updateTable($mainInfo);



?>

<!doctype html>
<html>
	<head>
		<title>Q-Cards | NZT Team</title>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta charset="utf-8">
		<style>
			table.iksweb{text-decoration: none;border-collapse:collapse;width:100%;text-align:left;}
			table.iksweb th{font-weight:normal;font-size:14px; color:#ffffff;background-color:#354251;}
			table.iksweb td{font-size:15px;color:#354251;}
			table.iksweb td,table.iksweb th{white-space:pre-wrap;padding:7px 5px;line-height:15px;vertical-align: middle;border: 0px solid #354251;}	table.iksweb tr:hover{background-color:#f9fafb}
			table.iksweb tr:hover td{color:#354251;}
			.mobile-table{width: 100%; max-width: 100%; overflow-x: auto;}
			body {
				padding: 25px;
			}
			.message-good {
				color: green;
			}
			.message-error {
				color: red;
			}
			.recently {
				background-color: #fcdbb6;
			}
			.active {
				background-color: red;
			}
			tr {
				padding: 2px;
			}
			.cardpan:hover {cursor: pointer;}
			.logos {
				display: inline-block;
				text-align: center;
				margin: 0 auto;
				float: right;
			}
			.logo {
				display: block;
			}
			.control {
				width: 45%;
				float: left;
			}

		</style>	
		<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
	</head>
	<body>

		<?
			//echo file_get_contents('/cardsinfo.txt');
		?>
		<?
			if (!$_GET['phone'] || !$_GET['apikey']) {
				?> Введите номер и Api key!<br>
					<form method="GET">
						<div class="mb-3">
						    <label for="phone" class="form-label">Номер телефона</label>
						    <input type="text" class="form-control" id="phone" name="phone" value="<? echo $_GET['phone']; ?>">
						</div>
						<div class="mb-3">
						    <label for="apikey" class="form-label">Api key</label>
						    <input type="text" class="form-control" id="apikey" name="apikey" value="<? echo $_GET['apikey']; ?>">
						</div>
						<input type="submit" class="btn btn-primary" value="Войти" name="login">
					</form>
				<?

				return;
			}
		?>

		<? 
			if($message_good) { 
				echo '<div class="alert alert-success" role="alert">' . $message_good . '</div>';
			} 
		?>
		<? 
			if($message_error) { 
				echo '<div class="alert alert-danger" role="alert">' . $message_error . '</div>';
			} 
		?>

		<div class="logos">
		<a href="https://bit.ly/2SlB1MS" target="_blank" class="logo"><img src="https://cpa.rip/wp-content/uploads/2019/145/q-cards/bn.png
" alt=""></a>
		<br>
		<a href="https://rip.af/wQ41C1" target="_blank" class="logo"><img src="https://cpa.rip/wp-content/uploads/2019/145/q-cards/bn2.png" alt=""></a>
		</div>
		<div class="clear"></div>
		<br>


		<div class="control">
			<a href="https://bit.ly/2SlB1MS" class="btn btn-primary" style="margin-bottom: 3px;" target="_blank">Купить фарм аккаунты</a>
		<br>
		<a href="https://bit.ly/3isjcpU" class="btn btn-primary"target="_blank">Верифицировать свой киви(Получение профессионального статуса)</a>
		<br>
		<br>
			<form method="POST">
				<input type="submit" class="btn btn-primary" value="ВЫПУСТИТЬ КАРТУ ЗА 99" name="getNewCard99">
				<input type="submit" class="btn btn-primary" value="ВЫПУСТИТЬ КАРТУ ЗА 199" name="getNewCard199">
			</form>
			<form method="POST">
				<div class="mb-3">
				    <label for="cardid" class="form-label">ID карты</label>
				    <input type="text" class="form-control" id="cardid" name="cardid">
				</div>
				<div class="mb-3">
				    <label for="newname" class="form-label">Новое название(Если нужно переименовать)</label>
				    <input type="text" class="form-control" id="newname" name="newname">
				</div>
				<p>Что сделать с выбранной картой</p>
				<input type="submit" class="btn btn-primary" value="Заблокировать" name="blockCard">
				<input type="submit" class="btn btn-primary" value="Разблокировать" name="unblockCard">
				<input type="submit" class="btn btn-primary" value="Переименовать" name="changeName">
			</form>
		</div>

		<div style="float: left; clear: both;">
			<h2>Активные карты</h2>
			<h6>Количество: <? echo $mainInfo['cardcount']; ?></h6>
			<h6>Баланс: <? echo $mainInfo['balance']; ?></h6>
			<h6>Расходы за сегодня: <? echo $mainInfo['todayspend']; ?></h6>
			<h6>Расходы за вчера: <? echo $mainInfo['yesterdayspend']; ?></h6>
		</div>
		<div class="alert alert-info" role="alert" id="copyalert" style="width: 400px; display: none; float: right;">
			Номер карты скопирован!
		</div>
		<div class="mobile-table">
			<table class="iksweb">
				<thead>
					<tr>
						<th>ID</th>
						<th>Название карты</th>
						<th>Номер карты</th>
						<th>Valid</th>
						<th>CVV</th>
						<th>Дата открытия карты</th>
						<th>Статус</th>
					</tr>
				</thead>
				<? 
					$datenow = date('Y-m-d');
					$timenow = date('H:i:s');
					foreach ($mainInfo['cardList'] as $card) {
						if ($card['qvx']['status'] == 'ACTIVE') {
							$dateactivated = mb_substr($card['qvx']['activated'], 0, 10);
							$timeactivated = mb_substr($card['qvx']['activated'], 11, 8);
							$recently = false;
							if ($datenow == $dateactivated) {
								if ((strtotime($timenow) - strtotime($timeactivated)) < 15) {
									$recently = true;
								}
							}

							$timeactivated = $dateactivated . ' ' . $timeactivated;
							if ($recently) {
								echo "<tr class='recently' onclick='setActive(this);setcardId(" . $card['qvx']['id'] . ");''>";
							} else {
								echo "<tr onclick='setActive(this);setcardId(" . $card['qvx']['id'] . ");''>";
							}
							echo '<td>' . $card['qvx']['id'] . '</td>';
							if ($card['qvx']['cardAlias']) {
								echo '<td>' . $card['qvx']['cardAlias'] . '</td>';
							} else {
								echo '<td>' . $card['info']['name'] . '</td>';
							}
							if ($card['qvx']['pan'] != NULL) {
								echo '<td class="cardpan" id="' . $card['qvx']['pan'] . '" onclick="copyPan(' . $card['qvx']['pan'] . ')";>' . $card['qvx']['pan'] . '</td>';
							} else {
								echo '<td>' . $card['qvx']['maskedPan'] . '</td>';
							}
							echo '<td>' . $card['qvx']['cardExpireMonth'] . '/' . mb_substr($card['qvx']['cardExpireYear'], 2) . '</td>';
							echo '<td>' . $card['qvx']['cvv'] . '</td>';
							echo '<td>' . $timeactivated . '</td>';
							echo '<td>' . $card['qvx']['status'] . '</td>';
							echo "</tr>";
						}
					}
				?>
			</table>
		</div>

		<h2>Заблокированные карты</h2>
		<div class="mobile-table">
			<table class="iksweb">
				<thead>
					<tr>
						<th>ID</th>
						<th>Название карты</th>
						<th>Номер карты</th>
						<th>Valid</th>
						<th>CVV</th>
						<th>Дата открытия карты</th>
						<th>Дата закрытия карты</th>
						<th>Статус</th>
					</tr>
				</thead>
				<? 
					foreach ($mainInfo['cardList'] as $card) {
						if ($card['qvx']['status'] == 'BLOCKED') {
							$timeactivated = mb_substr($card['qvx']['activated'], 0, 10) . ' ' . mb_substr($card['qvx']['activated'], 11, 8);
							$timeblocked = mb_substr($card['qvx']['blockedDate'], 0, 10) . ' ' . mb_substr($card['qvx']['blockedDate'], 11, 8);
							echo "<tr onclick='setActive(this);setcardId(" . $card['qvx']['id'] . ");''>";
							echo '<td>' . $card['qvx']['id'] . '</td>';
							if ($card['qvx']['cardAlias']) {
								echo '<td>' . $card['qvx']['cardAlias'] . '</td>';
							} else {
								echo '<td>' . $card['info']['name'] . '</td>';
							}
							if ($card['qvx']['pan'] != NULL) {
								echo '<td>' . $card['qvx']['pan'] . '</td>';
							} else {
								echo '<td>' . $card['qvx']['maskedPan'] . '</td>';
							}
							echo '<td>' . $card['qvx']['cardExpireMonth'] . '/' . mb_substr($card['qvx']['cardExpireYear'], 2) . '</td>';
							echo '<td>' . $card['qvx']['cvv'] . '</td>';
							echo '<td>' . $timeactivated . '</td>';
							echo '<td>' . $timeblocked . '</td>';
							echo '<td>' . $card['qvx']['status'] . '</td>';
							echo "</tr>";
						}
					}
				?>
			</table>
		</div>

		<script>
			function setcardId(cardid) {
				$('#cardid').val(cardid);
			}

			function copyPan(cardpan) {
				$('#cardpan').val(cardpan);
				$('#cardpan').select();
				document.execCommand("copy");
				$('#copyalert').fadeIn();
				setTimeout(function() { $("#copyalert").fadeOut(); }, 1000);
			}
		</script>

		<script>
			function setActive(tr) {
				$('table tr').removeAttr('style');

				$(tr).css('background-color', '#a5e7f0');
			}
		</script>
		<div class="mb-3">
			<br>
			    <input type="text" class="form-control" id="cardpan" style="font-size: 1px; width: 100px; border: none;">
			</div>
	</body>
</html>